#ifndef CAPTEUR_H
#define CAPTEUR_H

#include "mbed.h"
#define EZO_DO (0x61<<1) //97 
#define EZO_pH (0x63<<1)//99
#define EZO_EC (0x64<<1)//100
#define EZO_RTD (0x66<<1)//102 


class capteur
{
public:
    public:
        capteur(PinName sda, PinName scl);
        void code (int code);
        void affich_DO (void);
        void affich_EC (void);
        void affich_pH (void);
        void affich_temp (void);
        char* return_temp (void);
        char* return_DO (void);
        char* return_EC (void);
        char* return_pH (void);
        void calibrate_temp(const char* );
        void calibrate_EC(void);
        void calibrate_pH(void);
        void calibrate_DO(void);
    private:
        I2C i2c;
        char res[30];
        char res_ph[400];
        char res_ec[400];
        char res_do[30];  
};
#endif //CAPTEUR_H